#!/bin/bash
glyfy=znaky.txt glyfydoc=ztemp.txt # Pomocné soubory.
echo -e "A\nB\nC\nD\nE\nF" >$glyfy # Pracovní sada.
RANDOM=100 tahusop=15 tahubez=7
pocet=$(cat $glyfy | sed -n '$=')  # Počet řádků.
if [ $pocet -lt $tahubez ]; then
  echo -e "Opravuji počet tahů bez navracení na $pocet.\n"
  let tahubez=$pocet
  fi	
function volba {
  let "vyber=$RANDOM % $pocet + 1" # Jedna až počet řádků.
  radek=$(cat $glyfy | sed -n "$vyber p") # Vypiš řádek.
  echo $i. volba je $vyber. řádek. Obsahem je $radek.
  }
# Výběr s navracením.
for i in $(seq 1 1 $tahusop); do   # Tahy s opakováním.
  volba	
done; echo # Konec for cyklu.
# Výběr bez vracení.
for i in $(seq 1 1 $tahubez); do   # Tahy bez opakování.
  volba
  cat  $glyfy | sed "$vyber d" >$glyfydoc   # Odebere daný řádek.
  # cat $glyfy | sed "/$radek/d" >$glyfydoc # Alternativa.
  cp $glyfydoc $glyfy
  echo "Výpis zbytku souboru:"; cat $glyfy; echo
  let pocet=$pocet-1
done
rm -f $glyfy $glygydoc